Package org.apache.cxf.management

# Interface ManagedComponent

All Known Implementing Classes:
  `ManagedBus`, `ManagedEndpoint`, `WorkQueueImplMBeanWrapper`, `WorkQueueManagerImplMBeanWrapper`

public interface ManagedComponent
Basic interface for representing a Instrumented object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectName`
  `getObjectName()`

- ## Method Details

  - ### getObjectName

    ObjectName getObjectName() throws JMException
    Throws:
      `JMException`